using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CowainHmi.OP010
{
    public partial class S1调度机器人 : S1公共背景
    {
        public S1调度机器人()
        {
            InitializeComponent();
        }

        private void btnWcsCount_MouseDown(object sender, MouseEventArgs e)
        {
            if (this.txtCount.Value > 10000)
                this.txtCount.Value = 1;
            PCHMI.OPTLOG.WLOG($"手动触发了Wcs命令：命令号={this.cbxCmd.Value}，命令计数={this.txtCount.Value}，站号={this.txtToStation.Value}，SN={this.txtWcsSN.Text}");
        }
    }
}
